This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 213337 - smartbattery sbs module does not give battery status on laptop
smartbattery sbs module does not give battery status on laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 16:29 EST by John Floyd
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:27:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Floyd 2006-10-31 16:29:36 EST
Description of problem:
No battery status in /proc/acpi/battery

Version-Release number of selected component (if applicable):
2.6.18-1.2798

How reproducible:
Unload existing battery and ac modules, load required sbs(+) modules.
Nothing in /proc/acpi/battery.

Steps to Reproduce:
1.Unload modules battery and ac, 
2.Load i2c-ec and sbs 
3.Check dmesg and log/messages - no errors
4./proc/acpi/battery and ac are empty

5. USe Brunos Ducrot smartbattery program which uses the i2c-ec module, can get
battery status!! Also need the i2c-dev module or this.
  
Actual results:
None

Expected results:
Battery and Ac status


Additional info:
Got source for kernel activated acpi debug mode and created new kernel and
modules.  No Errors recorded.
Comment 1 Jon Stanley 2007-12-31 01:53:41 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-01-07 19:27:26 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.